#!/usr/bin/env bash

set -u

export PRIVATE_NETWORK_NAME="sharednet1"

# Get the network ID associated with sharednet1
network_id=$(openstack network show --format value -c id $PRIVATE_NETWORK_NAME)

floating_ip_id=$FLOATING_IP_ID
floating_ip=$FLOATING_IP
reservation_id=$RESERVATION_ID
node_type=$NODE_TYPE
stack_name="$RESOURCE_PREFIX_NAME-$node_type"
echo "Creating $stack_name..."
openstack server create \
  --wait \
  --flavor "baremetal" \
  --image "CC-Ubuntu20.04" \
  --nic net-id="$network_id" \
  --hint reservation="$reservation_id" \
  --key-name="$SSHKEY_NAME" \
  --security-group default  \
  "$stack_name"

openstack server add floating ip "$stack_name" "$floating_ip"

export INSTANCE_NAME=$stack_name